# NoneCompression (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.transport.compression
Class NoneCompression

    java.lang.Object
      net.schmizz.sshj.transport.compression.NoneCompression

All Implemented Interfaces:
  Compression

    public abstract class NoneCompression

extends Object
implements Compression

No-op `Compression`.

Nested Class Summary
`static class` `NoneCompression.Factory` Named factory for the no-op `Compression`

Nested classes/interfaces inherited from interface net.schmizz.sshj.transport.compression.Compression
`Compression.Mode`

Constructor Summary
`NoneCompression()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.schmizz.sshj.transport.compression.Compression
`compress, init, isDelayed, uncompress`

Constructor Detail

### NoneCompression

    public NoneCompression()

Copyright © 2009-2011. All Rights Reserved.